es.gob.fnmt.policy

## Enum KeyManagerPolicy.ExtendedKeyUsage

- java.lang.Object
- - java.lang.Enum<KeyManagerPolicy.ExtendedKeyUsage>
  - - es.gob.fnmt.policy.KeyManagerPolicy.ExtendedKeyUsage

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<KeyManagerPolicy.ExtendedKeyUsage>
  Enclosing class:
    KeyManagerPolicy

      public static enum KeyManagerPolicy.ExtendedKeyUsage
      extends java.lang.Enum<KeyManagerPolicy.ExtendedKeyUsage>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `clientAuth`
    `emailProtection`
    `smartcardlogon`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyManagerPolicy.ExtendedKeyUsage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static KeyManagerPolicy.ExtendedKeyUsage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### clientAuth

          public static final KeyManagerPolicy.ExtendedKeyUsage clientAuth

    - #### emailProtection

          public static final KeyManagerPolicy.ExtendedKeyUsage emailProtection

    - #### smartcardlogon

          public static final KeyManagerPolicy.ExtendedKeyUsage smartcardlogon

  - ### Method Detail

    - #### valueOf

          public static KeyManagerPolicy.ExtendedKeyUsage valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static KeyManagerPolicy.ExtendedKeyUsage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyManagerPolicy.ExtendedKeyUsage c : KeyManagerPolicy.ExtendedKeyUsage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared